'Miles per Gallon Program
'This is a very simple routine used to calculate miles per gallon for your car

'File Name........ MPG.bas
'Date Written..... 03/28/1998
'Author........... Gary Stevens
'Version.......... 1.0
'Language......... Qbasic 1.1

'Variables

' Miles                           Number of miles traveled
' Gallons                         Number of gallons of gas used
' MPG                             Miles / Gallons
'
'NOTE: The Variables Above are ALL Numeric, Therefore No $ Sign is Needed.
'Also, the ControlModule Below is a personal preference and not used by all or
'even most programmers. It is used as a guide for execution order. In this
'case the program first goes to the section of code labled InputData, Then
'goes to the section Labled CalculateMPG. Then we go to the DisplayMPG section.
'Lastley, The END statement Ends the Program.

ControlModule:

  GOSUB InputData
  GOSUB CalculateMPG
  GOSUB DisplayMPG
  END

'In ALL of the Sections Below, the RETURN Statement is Used to Tell the
'Program to Return to the Controlmodule and Carry Out the Next Set of Instructions.

InputData:

  CLS
  INPUT "Enter the number of miles driven:  ", Miles
  INPUT "Enter the number of gallons used:  ", Gallons
  RETURN

CalculateMPG:                   'This is the Formula For Calculating MPG

  MPG = INT((10 * (Miles / Gallons)) + .5) / 10
  RETURN

DisplayMPG:

  PRINT
  PRINT MPG; "Miles Per Gallon"
  RETURN

